<template>
  <div class=" flow_container">
    <div id="flow_image">
      <img src="/content/DictionaryAsset/Dashboard/EAM/flow.gif" />
    </div>
    <div id="entry_account" class="div_flow" title="登账管理" @click="goPage('登账')" />
    <div id="configuration" class="div_flow" title="资产配置" @click="goPage('配置')" />
    <div id="dispose" class="div_flow" title="资产处置" @click="goPage('处置')" />
    <div id="manage" class="div_flow" title="验收管理" @click="goPage('验收')" />
    <div id="allocation" class="div_flow" title="分配" @click="goPage('分配')" />
    <div id="take_back" class="div_flow" title="收回" @click="goPage('收回')" />
    <div id="check" class="div_flow" title="资产盘点" @click="goPage('盘点')" />
    <div id="repair" class="div_flow" title="维修管理" @click="goPage('维修')" />
    <div id="transfer" class="div_flow" title="转移" @click="goPage('转移')" />
  </div>
</template>

<script setup>
import { Uuid } from 'pc-component-v3';
import { useRouter } from 'vue-router';

const router = useRouter();

const goPage = page => {
  let no;
  if (page === '盘点') {
    router.push('/eam/assetInventory');
    return;
  } else if (page === '配置') {
    return;
  } else if (page === '登账') {
    no = '20240912_173810';
  } else if (page === '处置') {
    no = '20240930_164020';
  } else if (page === '验收') {
    no = '20240910_193059';
  } else if (page === '分配') {
    no = '20240925_134815';
  } else if (page === '收回') {
    no = '20240925_134857';
  } else if (page === '维修') {
    no = '20240919_212120';
  } else if (page === '转移') {
    no = '20240930_101822';
  }
  router.push('/desktop/window1/' + no + '?uuid=' + Uuid.createUUID());
};
</script>

<style scoped>
.flow_container {
    position: relative;
    margin: 6% 0 6% 20%;
}

.div_flow {
    cursor: pointer;
    position: absolute;
    width: 100px;
    height: 50px;
}

#entry_account {
    left: 66px;
    top: 77px;
}

#configuration {
    left: 66px;
    top: 228px;
}

#dispose {
    left: 66px;
    top: 380px;
}

#manage {
    left: 301px;
    top: 77px;
}

#allocation {
    left: 301px;
    top: 228px;
}

#take_back {
    left: 301px;
    top: 380px;
}

#check {
    left: 646px;
    top: 228px;
}

#repair {
    left: 646px;
    top: 305px;
}

#transfer {
    left: 646px;
    top: 382px;
}
</style>